# Read the Docs configuration file
# See https://docs.readthedocs.io/en/stable/config-file/v2.html for details

# Required
version: 2

# Set the OS, Python version, and other tools you might need
build:
  os: ubuntu-24.04
  tools:
    python: "3.11"
  jobs:
    post_build:
      # Copy case_studies folder after Sphinx build completes
      - cp -r docs/source/case_studies $READTHEDOCS_OUTPUT/html/ || echo "case_studies not found, skipping"
  # commands:
  #   # Install uv
  #   - pip install uv
  #   # Install documentation dependencies
  #   - uv pip install -r docs/requirements-docs.txt
  #   # Build documentation
  #   - uv run sphinx-build -b html docs/source $READTHEDOCS_OUTPUT/html

# Alternative: traditional approach without uv
sphinx:
   configuration: docs/source/conf.py

python:
   install:
   - requirements: docs/requirements-docs.txt
